This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450170 - ** ERROR **: Can't find custom attr constructor image: /usr/lib/f-spot/f-spot.exe mtoken: 0x0a000743
** ERROR **: Can't find custom attr constructor image: /usr/lib/f-spot/f-spot...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 13:17 EDT by Rick Richardson
Modified: 2009-06-23 05:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 05:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2008-06-05 13:17:22 EDT
$ f-spot

** (/usr/lib/f-spot/f-spot.exe:15674): WARNING **: Missing method .ctor in
assembly /usr/lib/f-spot/f-spot.exe, type
System.Runtime.CompilerServices.RuntimeCompatibilityAttribute

** ERROR **: Can't find custom attr constructor image:
/usr/lib/f-spot/f-spot.exe mtoken: 0x0a000743
aborting...
Aborted (core dumped)

Every time.
Comment 1 Rick Richardson 2008-06-05 13:19:36 EDT
f-spot - 0.4.0-3.fc8.i386 
Comment 2 Rick Richardson 2008-07-12 02:27:35 EDT
Also in fc9:

$ f-spot

** (/usr/lib/f-spot/f-spot.exe:26202): WARNING **: The class
System.Collections.Generic.SortedDictionary`2 could not be loaded, used in
/usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token
0x0100004e)
System.ApplicationException: F-Spot cannot find the Dbus session bus.  Make sure
dbus is configured properly or start a new session for f-spot using "dbus-launch
f-spot" ---> System.Exception: Unable to open the system message bus. --->
System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in <0x0003a>
System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init
(Int32 , IEqualityComparer`1 )
in <0x0000e>
System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor
()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_System ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_System ()
in <0x00014> NDesk.DBus.BusG:Init ()
in <0x006a7> FSpot.Driver:Main (System.String[] args)--- End of inner exception
stack trace ---

in <0x006f8> FSpot.Driver:Main (System.String[] args)

** (f-spot:26202): WARNING **: Missing method .ctor in assembly
/usr/lib/f-spot/f-spot.exe, type
System.Runtime.CompilerServices.RuntimeCompatibilityAttribute

** ERROR **: Can't find custom attr constructor image:
/usr/lib/f-spot/f-spot.exe mtoken: 0x0a000782
aborting...
Aborted (core dumped)
Comment 3 Nigel Jones 2008-07-14 07:38:35 EDT
I've pushed 0.4.3.1-1.fc9 to arrive in the next testing push for Fedora 9, in 
the mean time, you can grab a copy of the RPM from http://
kojipkgs.fedoraproject.org/packages/f-spot/0.4.3.1/1.fc9/, I'd really 
appreciate it if you could check if you can still reproduce this bug.
Comment 4 Rick Richardson 2008-07-14 08:25:44 EDT
$ f-spot --version
F-Spot  0.4.3.1 - (c)2003-2008, Novell Inc
Personal photo management for the GNOME Desktop

$ f-spot

** (/usr/lib/f-spot/f-spot.exe:2112): WARNING **: The class
System.Collections.Generic.SortedDictionary`2 could not be loaded, used in
/usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token
0x0100004e)
System.ApplicationException: F-Spot cannot find the Dbus session bus.  Make sure
dbus is configured properly or start a new session for f-spot using "dbus-launch
f-spot" ---> System.Exception: Unable to open the system message bus. --->
System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in <0x0003a>
System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init
(Int32 , IEqualityComparer`1 )
in <0x0000e>
System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor
()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_System ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_System ()
in <0x00014> NDesk.DBus.BusG:Init ()
in <0x0072f> FSpot.Driver:Main (System.String[] args)--- End of inner exception
stack trace ---

in <0x00780> FSpot.Driver:Main (System.String[] args)

** (f-spot:2112): WARNING **: Missing method .ctor in assembly
/usr/lib/f-spot/f-spot.exe, type
System.Runtime.CompilerServices.RuntimeCompatibilityAttribute

** ERROR **: Can't find custom attr constructor image:
/usr/lib/f-spot/f-spot.exe mtoken: 0x0a0007d8
aborting...
Aborted (core dumped)
$ 

Comment 5 Rick Richardson 2008-07-14 08:27:53 EDT
$ ps -ax | grep dbus
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
 1956 ?        Ss     0:09 dbus-daemon --system
 2130 pts/2    S+     0:00 grep dbus
14473 ?        S      0:00 /usr/bin/dbus-launch --exit-with-session
14591 ?        S      0:00 dbus-launch --sh-syntax --exit-with-session
14592 ?        Ss     0:11 /bin/dbus-daemon --fork --print-pid 7 --print-address
9 --session
Comment 6 Nigel Jones 2008-07-14 08:33:06 EDT
Just out of interest, what happens if you try under a different user account,
(i.e. one that you haven't used f-spot with), in the mean time, I'm going to see
what other information I can find out.
Comment 7 Nigel Jones 2008-07-14 08:43:34 EDT
Actually, the other thing, would you be able to get the output of:
rpm -q ndesk-dbus
rpm -q ndesk-dbus-glib
for me?
Comment 8 Rick Richardson 2008-07-14 08:51:49 EDT
$ rpm -q ndesk-dbus
ndesk-dbus-0.6.1a-2.fc9.i386
$ rpm -q ndesk-dbus-glib
ndesk-dbus-glib-0.4.1-3.fc9.i386
Comment 9 Rick Richardson 2008-10-07 06:54:59 EDT
$ rpm -qa | grep f-spot
f-spot-0.4.3.1-1.fc9.i386

$ f-spot

** (/usr/lib/f-spot/f-spot.exe:13531): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)
System.ApplicationException: F-Spot cannot find the Dbus session bus.  Make sure dbus is configured properly or start a new session for f-spot using "dbus-launch f-spot" ---> System.Exception: Unable to open the system message bus. ---> System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in <0x0003a> System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init (Int32 , IEqualityComparer`1 )
in <0x0000e> System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor ()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_System ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_System ()
in <0x00014> NDesk.DBus.BusG:Init ()
in <0x0072f> FSpot.Driver:Main (System.String[] args)--- End of inner exception stack trace ---

in <0x00780> FSpot.Driver:Main (System.String[] args)

** (f-spot:13531): WARNING **: Missing method .ctor in assembly /usr/lib/f-spot/f-spot.exe, type System.Runtime.CompilerServices.RuntimeCompatibilityAttribute

** ERROR **: Can't find custom attr constructor image: /usr/lib/f-spot/f-spot.exe mtoken: 0x0a0007d8
aborting...
Aborted (core dumped)
Comment 10 Rick Richardson 2009-05-22 11:52:10 EDT
$ rpm -qa | grep f-spot
f-spot-0.5.0.3-2.fc10.i386

$ f-spot
[Info  10:51:11.016] Initializing DBus

** (f-spot:16563): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)
[Warn  10:51:11.046] Caught an exception - Object reference not set to an instance of an object (in `mscorlib')
in <0x00000> <unknown method>
in <0x0003a> System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init (Int32 , IEqualityComparer`1 )
in <0x0000e> System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor ()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_System ()
Unable to open the system message bus. (in `NDesk.DBus')
in <0x000b8> NDesk.DBus.Bus:get_System ()
in <0x00014> NDesk.DBus.BusG:Init ()
in <0x00982> FSpot.Driver:Main (System.String[] args)
F-Spot cannot find the Dbus session bus.  Make sure dbus is configured properly or start a new session for f-spot using "dbus-launch f-spot" (in `f-spot')
in <0x009d3> FSpot.Driver:Main (System.String[] args)

** (f-spot:16563): WARNING **: Missing method .ctor in assembly /usr/lib/f-spot/f-spot.exe, type System.Runtime.CompilerServices.RuntimeCompatibilityAttribute

** ERROR **: Can't find custom attr constructor image: /usr/lib/f-spot/f-spot.exe mtoken: 0x0a0008de
aborting...
43dd657d-a9c0-c0c6-0fdbb225-5d72935f is dumped
$

Note You need to log in before you can comment on or make changes to this bug.